SharpDevelop v5.1-archival Release Notes

Release Date: 2020-07-19 // 9 months ago
  • ๐Ÿš€ This is a GitHub copy of the archived Download page. All release ever made are available via SourceForge. The links to dependencies are most likely out of date!

    The following versions can be downloaded from here:

    • SharpDevelop 5 (Frameworks 2.0 to 4.5.1)
    • SharpDevelop 4.4 (Frameworks 2.0 to 4.5.1)
    • SharpDevelop 3.2 (Frameworks 2.0, 3.0 and 3.5)
    • SharpDevelop 2.2 (built for .NET Framework 2.0)
    • SharpDevelop 1.1 (built for .NET Framework 1.1)

    ๐Ÿ‘ SharpDevelop 5 (C# support only!)

    Version information: SharpDevelop 5.1, 4/14/2016

    SharpDevelop 5.x can take advantage of the following software if you install it:

    Notes

    • Microsoft .NET Framework 4.5.1 must be installed on your machine (Download)
    • Visual C++ 2008 SP1 Runtime (Download)
    • ๐Ÿ‘Œ Supported operating systems: Windows Vista and later

    SharpDevelop 4.4

    Version information: SharpDevelop 4.4.2, 4/14/2015

    SharpDevelop 4.x can take advantage of the following software if you install it:

    Notes

    • .NET 4.0 Full runtime must be installed on your machine (Download)
    • .NET 3.5 SP1 runtime must be installed (Download)
    • ๐Ÿ‘Œ Supported operating systems: Windows XP SP2 and later (eg Windows Server 2008 R2 and Windows 7)

    SharpDevelop 3.2

    Version information: SharpDevelop 3.2.1, 11/06/2010

    SharpDevelop 3.x can take advantage of the following software if you install it:

    Notes

    SharpDevelop 2.2

    Version information: SharpDevelop 2.2.1.2648, 8/8/2007

    โž• Additional Software You Need to Install

    • ๐Ÿ‘ NCover for code coverage support inside SharpDevelop
    • ๐Ÿ‘ FxCop for code analysis support.
    • ๐Ÿ‘ TortoiseSVN for Subversion source control support.

    Notes

    SharpDevelop 1.1

    Version information: #develop 1.1.0.2124, 2/14/2006

    Notes

    • The executable download is a setup program with uninstall capability. Always uninstall old versions first!
    • In order to create the executable version of #develop, run the supplied debugbuild.bat in the src directory.
    • ๐Ÿ“š In order to be able to either compile (source code) or run (executable) SharpDevelop, you must have the Microsoft .NET SDK 1.1 installed on that machine (the Runtime will also do, however, it comes without the SDK documentation).